diff --git a/lib/view/user/my_music_view.dart b/lib/view/user/my_music_view.dart
index 00d90af..7c7122d 100644
--- a/lib/view/user/my_music_view.dart
+++ b/lib/view/user/my_music_view.dart
@@ -1,10 +1,15 @@
 import 'package:flutter/material.dart';
 import 'package:get/get.dart';
+import 'package:music_player_miao/api/api_music_mymusic.dart';
 import '../../common_widget/app_data.dart';
 import '../../models/getAllSongs_bean.dart';
 import '../../view_model/home_view_model.dart';
 import '../../api/api_songlist.dart';
 import '../../api/api_songlist.dart';
+import '../../models/universal_bean.dart';
+import '../music_view.dart';
+import '../../common_widget/Song_widegt.dart';
+import '../../common/download_manager.dart';
 
 List<T> flatten<T>(Iterable<Iterable<T>> iterable) {
   return iterable.expand((inner) => inner).toList();
@@ -28,11 +33,12 @@ class _MyMusicViewState extends State<MyMusicView> {
   List musicPath = [];
   List singerName = [];
   List uploadUserName = [];
-
+  List mid = [];
   final listVM = Get.put(HomeViewModel());
   bool _isSelectMode = false;
   final List<bool> _mySongListSelections = List.generate(2, (index) => false);
   List<bool> _selectedItems = List.generate(10, (index) => false);
+  final downloadManager = Get.put(DownloadManager());
 
 //修改从这开始
   @override
@@ -61,7 +67,7 @@ class _MyMusicViewState extends State<MyMusicView> {
         musicPath = [];
         singerName = [];
         songlistId = [];
-
+        mid = [];
         // 遍历每个DataBean对象
         bean2.data?.forEach((dataBean) {
           // 提取songlistId
@@ -75,6 +81,7 @@ class _MyMusicViewState extends State<MyMusicView> {
           coverPath.add(songDetails.coverPath);
           musicPath.add(songDetails.musicPath);
           singerName.add(songDetails.singerName);
+          mid.add(songDetails.mid);
         });
 
         songsNum = name.length; // 歌曲数量
@@ -85,6 +92,32 @@ class _MyMusicViewState extends State<MyMusicView> {
     }
   }
 
+  Future<void> _deleteSong(int songId) async {
+    try {
+      List<int> songIds = [songId];
+      print(songIds);
+      
+      // 先调用API
+      UniversalBean response = await MymusicsApiMusic().mymusicsMusic(
+        songlistMusicIds: songIds,
+        Authorization: AppData().currentToken,
+      );
+      
+      if (response.code != 200) {
+        throw Exception('Failed to delete song');
+      }
+      
+      // API调用成功后再刷新列表
+      await _fetchMyWorksData();
+      
+    } catch (error) {
+      print('Error deleting song: $error');
+      ScaffoldMessenger.of(context).showSnackBar(
+        const SnackBar(content: Text('删除失败，请稍后重试')),
+      );
+    }
+  }
+
   //在这里结束
 
   void _toggleSelectMode() {
@@ -219,7 +252,7 @@ class _MyMusicViewState extends State<MyMusicView> {
                   onPressed: _selectAll,
                   style: TextButton.styleFrom(
                     foregroundColor: Colors.black,
-                    minimumSize: const Size(50, 40), // 设置最小宽度，确保文字有足够空间
+                    minimumSize: const Size(50, 40), // 设置小宽度，确保文字有足够空间
                     padding:
                         const EdgeInsets.symmetric(horizontal: 8), // 添加水平内边距
                   ),
@@ -262,53 +295,208 @@ class _MyMusicViewState extends State<MyMusicView> {
           ),
           child: Column(
             children: [
-              Row(
-                mainAxisAlignment: MainAxisAlignment.spaceBetween,
-                children: [
-                  Row(
-                    children: [
-                      IconButton(
-                        onPressed: () {},
-                        icon: Image.asset(
-                          "assets/img/button_play.png",
-                          width: 20,
-                          height: 20,
+              Padding(
+                padding: const EdgeInsets.symmetric(horizontal: 16.0),
+                child: Row(
+                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
+                  children: [
+                    // 播放全部按钮
+                    Row(
+                      children: [
+                        IconButton(
+                          onPressed: songsNum == 0
+                              ? null
+                              : () async {
+                                  List<Song> songList = List.generate(
+                                    songsNum,
+                                    (i) => Song(
+                                      id: songlistId[i] ?? 0,
+                                      title: name[i] ?? '未知歌曲',
+                                      artist: singerName[i] ?? '未知歌手',
+                                      artistPic: coverPath[i],
+                                      pic: coverPath[i],
+                                      musicurl: musicPath[i],
+                                      likes: false,
+                                      collection: false,
+                                      mid: mid[i],
+
+                                    ),
+                                  );
+
+                                  final result = await Navigator.push(
+                                    context,
+                                    MaterialPageRoute(
+                                      builder: (context) => MusicView(
+                                        songList: songList,
+                                        initialSongIndex: 0,
+                                        onSongStatusChanged: (index, isCollected, isLiked) {
+                                          setState(() {
+                                            songList[index].collection = isCollected;
+                                            songList[index].likes = isLiked;
+                                            downloadManager.updateSongInfo(
+                                              songList[index].id,
+                                              isCollected,
+                                              isLiked,
+                                            );
+                                          });
+                                        },
+                                      ),
+                                    ),
+                                  );
+
+                                  if (result != null) {
+                                    _fetchMyWorksData();
+                                  }
+                                },
+                          icon: Image.asset(
+                            "assets/img/button_play.png",
+                            width: 20,
+                            height: 20,
+                          ),
                         ),
-                      ),
-                      const Text(
-                        '播放全部',
-                        style: TextStyle(fontSize: 16),
-                      ),
-                      const SizedBox(
-                        width: 5,
-                      ),
-                      const Text(
-                        '50',
-                        style: TextStyle(fontSize: 16),
-                      ),
-                    ],
-                  ),
-                  IconButton(
-                    onPressed: _toggleSelectMode,
-                    icon: Image.asset(
-                      "assets/img/list_op.png",
-                      width: 20,
-                      height: 20,
+                        const Text(
+                          '播放全部',
+                          style: TextStyle(fontSize: 16),
+                        ),
+                        const SizedBox(width: 5),
+                        Text(
+                          '(${songsNum})',  // 使用实际的歌曲数量
+                          style: const TextStyle(fontSize: 16),
+                        ),
+                      ],
                     ),
-                  ),
-                ],
+                    // 删除右边的三个杠按钮
+                    // IconButton(
+                    //   onPressed: () {...},
+                    //   icon: Image.asset("assets/img/list_op.png",...),
+                    // ),
+                  ],
+                ),
               ),
               Expanded(
                 child: songsNum == 0
-                    ? Center(child: Text('该歌单为空')) // 如果没有作品，显示提示文本
+                    ? const Center(child: Text('该歌单为空'))
                     : ListView.builder(
                         itemCount: songsNum,
-                        itemBuilder: (BuildContext context, int index) {
-                          return Container(
-                            padding: const EdgeInsets.symmetric(vertical: 5.0),
+                        padding: EdgeInsets.zero,
+                        itemBuilder: (context, index) {
+                          return Dismissible(
+                            key: Key(songlistId[index].toString()),
+                            direction: DismissDirection.endToStart,
+                            background: Container(
+                              color: Colors.red,
+                              padding: const EdgeInsets.only(right: 16.0),
+                              alignment: Alignment.centerRight,
+                              child: Column(
+                                mainAxisAlignment: MainAxisAlignment.center,
+                                children: [
+                                  Image.asset(
+                                    "assets/img/delete.png",
+                                    width: 24,
+                                    height: 24,
+                                    color: Colors.white,
+                                  ),
+                                  const SizedBox(height: 4),
+                                  const Text(
+                                    '删除',
+                                    style: TextStyle(
+                                      color: Colors.white,
+                                      fontSize: 12,
+                                    ),
+                                  ),
+                                ],
+                              ),
+                            ),
+                            confirmDismiss: (direction) async {
+                              return await showDialog(
+                                context: context,
+                                builder: (BuildContext context) {
+                                  return AlertDialog(
+                                    title: const Text('确认删除'),
+                                    content: Text('确定要删除 ${name[index] ?? "这首歌"} 吗？'),
+                                    actions: <Widget>[
+                                      TextButton(
+                                        onPressed: () => Navigator.of(context).pop(false),
+                                        child: const Text(
+                                          '取消',
+                                          style: TextStyle(color: Color(0xff429482)),
+                                        ),
+                                      ),
+                                      TextButton(
+                                        onPressed: () => Navigator.of(context).pop(true),
+                                        child: const Text(
+                                          '确定',
+                                          style: TextStyle(color: Colors.red),
+                                        ),
+                                      ),
+                                    ],
+                                  );
+                                },
+                              );
+                            },
+                            onDismissed: (direction) {
+                              if (songlistId[index] != null) {
+                                final currentSongId = songlistId[index];
+                                // 先调用API，成功后会自动刷新列表
+                                _deleteSong(currentSongId);
+                              }
+                            },
                             child: ListTile(
-                              leading: _isSelectMode
-                                  ? Checkbox(
+                              contentPadding: const EdgeInsets.symmetric(horizontal: 16.0),
+                              onTap: _isSelectMode
+                                ? () {
+                                    setState(() {
+                                      _selectedItems[index] = !_selectedItems[index];
+                                    });
+                                  }
+                                : () async {
+                                    // 创建当前播放列表
+                                    List<Song> songList = List.generate(
+                                      songsNum,
+                                      (i) => Song(
+                                        id: songlistId[i],
+                                        title: name[i] ?? '未知歌曲',
+                                        artist: singerName[i] ?? '未知歌手',
+                                        artistPic: coverPath[i] ?? 'https://api.aspark.cc/image/1/6759856d288fd.jpg',
+                                        pic: coverPath[i] ?? 'https://api.aspark.cc/image/1/6759856d288fd.jpg',
+                                        musicurl: musicPath[i] ?? '',
+                                        likes: false,
+                                        collection: false,
+                                        mid: mid[i],
+                                      ),
+                                    );
+
+                                    // 导航到音乐播放页面
+                                    final result = await Navigator.push(
+                                      context,
+                                      MaterialPageRoute(
+                                        builder: (context) => MusicView(
+                                          songList: songList,
+                                          initialSongIndex: index,
+                                          onSongStatusChanged: (index, isCollected, isLiked) {
+                                            setState(() {
+                                              songList[index].collection = isCollected;
+                                              songList[index].likes = isLiked;
+                                              downloadManager.updateSongInfo(
+                                                songList[index].id,
+                                                isCollected,
+                                                isLiked,
+                                              );
+                                            });
+                                          },
+                                        ),
+                                      ),
+                                    );
+
+                                    // 从播放页面返回时刷新列表
+                                    if (result != null) {
+                                      _fetchMyWorksData();
+                                    }
+                                  },
+                              title: Row(
+                                children: [
+                                  if (_isSelectMode)
+                                    Checkbox(
                                       value: _selectedItems[index],
                                       onChanged: (value) {
                                         setState(() {
@@ -317,24 +505,51 @@ class _MyMusicViewState extends State<MyMusicView> {
                                       },
                                       shape: const CircleBorder(),
                                       activeColor: const Color(0xff429482),
-                                    )
-                                  : CircleAvatar(
-                                      backgroundImage:
-                                          NetworkImage(coverPath[index]),
-                                      // 假设封面路径是网络资源
-                                      radius: 25,
                                     ),
-                              title:
-                                  Text('${name[index]} - ${singerName[index]}'),
-                              // 显示歌曲名和歌手名
-                              trailing: _isSelectMode
-                                  ? null
-                                  : IconButton(
-                                      icon: const Icon(Icons.more_vert),
-                                      onPressed: () {
-                                        _bottomSheet(context);
+                                  ClipRRect(
+                                    borderRadius: BorderRadius.circular(10),
+                                    child: Image.network(
+                                      coverPath[index],
+                                      width: 60,
+                                      height: 60,
+                                      fit: BoxFit.cover,
+                                      errorBuilder: (context, error, stackTrace) {
+                                        return Image.asset(
+                                          "assets/img/artist_pic.png",
+                                          width: 60,
+                                          height: 60,
+                                        );
                                       },
                                     ),
+                                  ),
+                                  const SizedBox(width: 12),
+                                  Expanded(
+                                    child: Column(
+                                      crossAxisAlignment: CrossAxisAlignment.start,
+                                      children: [
+                                        Text(
+                                          name[index] ?? '未知歌曲',
+                                          maxLines: 1,
+                                          overflow: TextOverflow.ellipsis,
+                                          style: const TextStyle(
+                                            fontSize: 16,
+                                            color: Colors.black,
+                                          ),
+                                        ),
+                                        Text(
+                                          singerName[index] ?? '未知歌手',
+                                          maxLines: 1,
+                                          overflow: TextOverflow.ellipsis,
+                                          style: const TextStyle(
+                                            fontSize: 14,
+                                            color: Colors.black54,
+                                          ),
+                                        ),
+                                      ],
+                                    ),
+                                  ),
+                                ],
+                              ),
                             ),
                           );
                         },
